Windows versions that are not supported by WinZip

WinZip does not test on, nor support Windows versions that are no longer supported by Microsoft. Security updates and patches for unsupported Windows versions are no longer provided by Microsoft. These versions also are not supported by WinZip.

Windows Vista is the most recent Windows version for which support has been dropped. The current version, WinZip 21.5, does work with Windows Vista. Support is apt to end with a future release, though there is no official word at this time.

Windows XP support ended in April of 2014. However, an XP only install of WinZip, equating to version 20.5, will install and work on Windows XP, provided that at least Internet Explorer 8 is present. It also requires that Service Pack 3 for Windows XP from Windows Updates has been applied.

WinZip 14.5 is the last WinZip version that will install and work on Windows 2000.

WinZip 10.0 is the most recent version that was supported for use with either Windows 98 or Windows Me. The current version of WinZip will not install on either of these operating systems.

The Legacy Download Links page includes WinZip XP, WinZip 14.5, and WinZip 10.0; along with other versions.

If you have any questions about this information please email Technical Support.